Debian Bug report logs - #620258
PHP5-memcache in Squeeze cannot delete items from memcached

version graph

Package: php5-memcache; Maintainer for php5-memcache is Debian PHP PECL Maintainers <pkg-php-pecl@lists.alioth.debian.org>; Source for php5-memcache is src:php-memcache.

Reported by: Chris Kloosterman <kloostec@gavintech.com>

Date: Thu, 31 Mar 2011 16:36:02 UTC

Severity: important

Tags: patch

Found in version php-memcache/3.0.4-4

Fixed in versions php-memcache/3.0.5-1, php-memcache/3.0.4-4+squeeze1

Done: Sergey B Kirpichev <skirpichev@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ivan Borzenkov <ivan1986@list.ru>:
Bug#620258; Package php5-memcache. (Thu, 31 Mar 2011 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Kloosterman <kloostec@gavintech.com>:
New Bug report received and forwarded. Copy sent to Ivan Borzenkov <ivan1986@list.ru>. (Thu, 31 Mar 2011 16:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Kloosterman <kloostec@gavintech.com>
To: submit@bugs.debian.org
Subject: PHP5-memcache in Squeeze cannot delete items from memcached
Date: Thu, 31 Mar 2011 09:24:21 -0700
Package: php5-memcache
Version: 3.0.4-4

The version of php5-memcache in Squeeze, 3.0.4, has a bug when deleting
objects from memcached 1.4.4+ (Squeeze has 1.4.5).  This has been fixed
upstream in version 3.0.5 and was reported as PECL bug #17566:
http://pecl.php.net/bugs/bug.php?id=17566 .

If we could upgrade the version or cherrypick the fix from 3.0.5, it
would be much appreciated.  I've had to build version 3.0.5 on our
production servers to correct this issue.

Thanks,

Chris Kloosterman




Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Borzenkov <ivan1986@list.ru>:
Bug#620258; Package php5-memcache. (Mon, 22 Aug 2011 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kevin@findhost.org:
Extra info received and forwarded to list. Copy sent to Ivan Borzenkov <ivan1986@list.ru>. (Mon, 22 Aug 2011 12:00:55 GMT) Full text and rfc822 format available.

Message #10 received at 620258@bugs.debian.org (full text, mbox):

From: Kevin Fernandez <kevin@findhost.org>
To: 620258@bugs.debian.org
Subject: php5-memcache delete() broken
Date: Mon, 22 Aug 2011 13:47:16 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I can confirm this bug, i had to deal with it on 2 different servers..

Any hope to have it fixed?

This breaks a big part of the application..

Thank you
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5SQbkACgkQwt4vS/saKML9wQCfdH/c6eOO6OPVMbJtTH0QN/ct
5GsAnR87hpP2JSAMvHqiMU6l3UF+Xfbl
=t4GI
-----END PGP SIGNATURE-----




Added tag(s) patch. Request was from Sergey Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Wed, 28 Dec 2011 16:06:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Sergey Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Wed, 28 Dec 2011 16:06:03 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions php-memcache/3.0.5-1. Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Wed, 28 Dec 2011 16:39:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Tue, 24 Jan 2012 07:51:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sergey B Kirpichev <skirpichev@gmail.com>:
Bug#620258; Package php5-memcache. (Tue, 24 Jan 2012 13:21:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Westwood <peter.westwood@ftwr.co.uk>:
Extra info received and forwarded to list. Copy sent to Sergey B Kirpichev <skirpichev@gmail.com>. (Tue, 24 Jan 2012 13:21:41 GMT) Full text and rfc822 format available.

Message #23 received at 620258@bugs.debian.org (full text, mbox):

From: Peter Westwood <peter.westwood@ftwr.co.uk>
To: 620258@bugs.debian.org
Subject: PHP5-memcache in Squeeze still cannot delete items from memcached
Date: Tue, 24 Jan 2012 12:00:05 +0000
[Message part 1 (text/plain, inline)]
This bug still exists in the version of memcache available in Squeeze.

It's really easy to reproduce when using php5-memcache + memcached + the memcache object-cache backend for WordPress - it leads to strange behaviour when editing posts because the cache deletion fails

I uninstalled php5-memcache and installed v3.0.6 from PECL instead and all works fine.

Any chance we can get a fixed version in Squeeze soon?
-- 
Peter Westwood
http://blog.ftwr.co.uk | http://westi.wordpress.com
50BF A954 E072 23DB B50A  A319 56C3 8FFF 9C72 AB79

[signature.asc (application/pgp-signature, inline)]

Message sent on to Chris Kloosterman <kloostec@gavintech.com>:
Bug#620258. (Tue, 24 Jan 2012 13:36:37 GMT) Full text and rfc822 format available.

Message #26 received at 620258-submitter@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: Peter Westwood <peter.westwood@ftwr.co.uk>, 620258-submitter@bugs.debian.org
Subject: Re: Bug#620258: PHP5-memcache in Squeeze still cannot delete items from memcached
Date: Tue, 24 Jan 2012 17:33:16 +0400
On Tue, Jan 24, 2012 at 12:00:05PM +0000, Peter Westwood wrote:
> This bug still exists in the version of memcache available in Squeeze.

Yep.

> Any chance we can get a fixed version in Squeeze soon?

In preparation, please see this thread:
http://lists.debian.org/debian-release/2012/01/msg00566.html

You can try new stable package from mentors:
http://mentors.debian.net/debian/pool/main/p/php-memcache/php-memcache_3.0.4-4+squeeze1.dsc

It will be in the next point release _after_ 6.0.4:
http://lists.debian.org/debian-release/2012/01/msg00569.html
Sorry for that.




Reply sent to Sergey B Kirpichev <skirpichev@gmail.com>:
You have taken responsibility. (Sat, 28 Jan 2012 23:03:06 GMT) Full text and rfc822 format available.

Notification sent to Chris Kloosterman <kloostec@gavintech.com>:
Bug acknowledged by developer. (Sat, 28 Jan 2012 23:03:06 GMT) Full text and rfc822 format available.

Message #31 received at 620258-close@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: 620258-close@bugs.debian.org
Subject: Bug#620258: fixed in php-memcache 3.0.4-4+squeeze1
Date: Sat, 28 Jan 2012 23:02:09 +0000
Source: php-memcache
Source-Version: 3.0.4-4+squeeze1

We believe that the bug you reported is fixed in the latest version of
php-memcache, which is due to be installed in the Debian FTP archive:

php-memcache_3.0.4-4+squeeze1.debian.tar.gz
  to main/p/php-memcache/php-memcache_3.0.4-4+squeeze1.debian.tar.gz
php-memcache_3.0.4-4+squeeze1.dsc
  to main/p/php-memcache/php-memcache_3.0.4-4+squeeze1.dsc
php5-memcache_3.0.4-4+squeeze1_amd64.deb
  to main/p/php-memcache/php5-memcache_3.0.4-4+squeeze1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 620258@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sergey B Kirpichev <skirpichev@gmail.com> (supplier of updated php-memcache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Jan 2012 13:01:06 +0400
Source: php-memcache
Binary: php5-memcache
Architecture: source amd64
Version: 3.0.4-4+squeeze1
Distribution: stable
Urgency: low
Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
Changed-By: Sergey B Kirpichev <skirpichev@gmail.com>
Description: 
 php5-memcache - memcache extension module for PHP5
Closes: 620258
Changes: 
 php-memcache (3.0.4-4+squeeze1) stable; urgency=low
 .
   * Fix cache delete bug, when deleting objects from memcached
     1.4.4+ (Closes: #620258)
   * Maintainer change (See #620029)
Checksums-Sha1: 
 c4f81b72fbe3a0a03e1522068648e626a7ee3382 1136 php-memcache_3.0.4-4+squeeze1.dsc
 34f858f51e9951dd6999f0825785f3e7a633d68a 5985 php-memcache_3.0.4-4+squeeze1.debian.tar.gz
 d42fdaf256ca2f7d27b746815408bcd911dd90b8 49398 php5-memcache_3.0.4-4+squeeze1_amd64.deb
Checksums-Sha256: 
 43563916e28f271086797ff373e620e79df46507c6fa17c02eb5b12a9f8d7299 1136 php-memcache_3.0.4-4+squeeze1.dsc
 a40af3df48fd45589d86914be0e59c6a7567deaaacb4182f7e054cb98b1874b3 5985 php-memcache_3.0.4-4+squeeze1.debian.tar.gz
 6efa62c3700ae42815e4e12d471aa847bdfae8992d2847d0b6b2ad01ce02a05b 49398 php5-memcache_3.0.4-4+squeeze1_amd64.deb
Files: 
 30a541e3c98bdfa9b602dfe47a0279e4 1136 php optional php-memcache_3.0.4-4+squeeze1.dsc
 015b23020b74088b9744524ab2e9c473 5985 php optional php-memcache_3.0.4-4+squeeze1.debian.tar.gz
 428055433ef2ba8d8fcb180c791be16d 49398 php optional php5-memcache_3.0.4-4+squeeze1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8h680ACgkQFViURZnoHaAVGQCguZryp+cRUYqAmBu5BRcXRtHE
IOQAn3FES8OC6NyJdVgP9Z/QMeUNDPhb
=WEIr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:37:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:27:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.